public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
* [gentoo-commits] repo/proj/guru:dev commit in: dev-python/bump2version/
@ 2023-05-18  4:54 Anna Vyalkova
  0 siblings, 0 replies; 2+ messages in thread
From: Anna Vyalkova @ 2023-05-18  4:54 UTC (permalink / raw
  To: gentoo-commits

commit:     df1276058b1e238bdfe803c45e020371d472a66b
Author:     Anna (cybertailor) Vyalkova <cyber+gentoo <AT> sysrq <DOT> in>
AuthorDate: Thu May 18 04:51:29 2023 +0000
Commit:     Anna Vyalkova <cyber+gentoo <AT> sysrq <DOT> in>
CommitDate: Thu May 18 04:53:43 2023 +0000
URL:        https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=df127605

dev-python/bump2version: new package, add 1.0.1

Signed-off-by: Anna (cybertailor) Vyalkova <cyber+gentoo <AT> sysrq.in>

 dev-python/bump2version/Manifest                  |  1 +
 dev-python/bump2version/bump2version-1.0.1.ebuild | 42 +++++++++++++++++++++++
 dev-python/bump2version/metadata.xml              | 12 +++++++
 3 files changed, 55 insertions(+)

diff --git a/dev-python/bump2version/Manifest b/dev-python/bump2version/Manifest
new file mode 100644
index 000000000..115c46e5e
--- /dev/null
+++ b/dev-python/bump2version/Manifest
@@ -0,0 +1 @@
+DIST bump2version-1.0.1.tar.gz 36236 BLAKE2B 74c2f0ad8c875438b597927f9cd8cdc67494b4ea1aefd7b0770d3494093bbb90d8050ec6c225eb7b0c599124b8b77e18ebdf570798674ee421397fe6700eb613 SHA512 687ad38eabdac57a3daf66714166ebb41aaf8e1a42292c69a1eb56738955413d310fecc7b36a7c39aba2e7ca1bc20ff38b4cc0d40a722304689f03a1b6dd0be8

diff --git a/dev-python/bump2version/bump2version-1.0.1.ebuild b/dev-python/bump2version/bump2version-1.0.1.ebuild
new file mode 100644
index 000000000..3fb87108d
--- /dev/null
+++ b/dev-python/bump2version/bump2version-1.0.1.ebuild
@@ -0,0 +1,42 @@
+# Copyright 2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{10..11} )
+inherit distutils-r1 pypi
+
+DESCRIPTION="Version-bump your software with a single command!"
+HOMEPAGE="
+	https://pypi.org/project/bump2version/
+	https://github.com/c4urself/bump2version
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64"
+
+BDEPEND="
+	test? (
+		dev-vcs/git
+		dev-vcs/mercurial
+		dev-python/testfixtures[${PYTHON_USEDEP}]
+	)
+"
+
+EPYTEST_DESELECT=(
+	tests/test_cli.py::test_usage_string
+	"tests/test_cli.py::test_regression_help_in_work_dir[git]"
+	"tests/test_cli.py::test_regression_help_in_work_dir[hg]"
+	tests/test_cli.py::test_defaults_in_usage_with_config
+)
+
+distutils_enable_tests pytest
+
+src_test() {
+	git config --global user.email "you@example.com" || die
+	git config --global user.name "Your Name" || die
+
+	distutils-r1_src_test
+}

diff --git a/dev-python/bump2version/metadata.xml b/dev-python/bump2version/metadata.xml
new file mode 100644
index 000000000..56706b2d3
--- /dev/null
+++ b/dev-python/bump2version/metadata.xml
@@ -0,0 +1,12 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "https://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+	<maintainer type="person">
+		<email>cyber+gentoo@sysrq.in</email>
+		<name>Anna</name>
+	</maintainer>
+	<upstream>
+		<remote-id type="pypi">bump2version</remote-id>
+		<remote-id type="github">c4urself/bump2version</remote-id>
+	</upstream>
+</pkgmetadata>


^ permalink raw reply related	[flat|nested] 2+ messages in thread

* [gentoo-commits] repo/proj/guru:dev commit in: dev-python/bump2version/
@ 2023-12-04 19:45 Anna Vyalkova
  0 siblings, 0 replies; 2+ messages in thread
From: Anna Vyalkova @ 2023-12-04 19:45 UTC (permalink / raw
  To: gentoo-commits

commit:     ceaa6b6f9ac3bc7fad87f97381d22c58e9e0a9a2
Author:     Anna (cybertailor) Vyalkova <cyber+gentoo <AT> sysrq <DOT> in>
AuthorDate: Sun Dec  3 14:57:30 2023 +0000
Commit:     Anna Vyalkova <cyber+gentoo <AT> sysrq <DOT> in>
CommitDate: Mon Dec  4 19:38:50 2023 +0000
URL:        https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=ceaa6b6f

dev-python/bump2version: enable py3.12

Signed-off-by: Anna (cybertailor) Vyalkova <cyber+gentoo <AT> sysrq.in>

 dev-python/bump2version/bump2version-1.0.1.ebuild | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/dev-python/bump2version/bump2version-1.0.1.ebuild b/dev-python/bump2version/bump2version-1.0.1.ebuild
index 3fb87108d9..fab4f11274 100644
--- a/dev-python/bump2version/bump2version-1.0.1.ebuild
+++ b/dev-python/bump2version/bump2version-1.0.1.ebuild
@@ -4,7 +4,7 @@
 EAPI=8
 
 DISTUTILS_USE_PEP517=setuptools
-PYTHON_COMPAT=( python3_{10..11} )
+PYTHON_COMPAT=( python3_{10..12} )
 inherit distutils-r1 pypi
 
 DESCRIPTION="Version-bump your software with a single command!"


^ permalink raw reply related	[flat|nested] 2+ messages in thread

end of thread, other threads:[~2023-12-04 19:45 UTC | newest]

Thread overview: 2+ messages (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2023-05-18  4:54 [gentoo-commits] repo/proj/guru:dev commit in: dev-python/bump2version/ Anna Vyalkova
  -- strict thread matches above, loose matches on Subject: below --
2023-12-04 19:45 Anna Vyalkova

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox